Commit 985c9a60 authored by gitanjali Thakur's avatar gitanjali Thakur
Browse files

Auto-saving for gitanjali.thakur on branch master from commit ab172b32

parent ab172b32
Pipeline #26175 failed with stage
in 33 seconds
FROM renku/renkulab:renku0.10.2-py3.7-0.6.1
#docker pull neteler/pymodis
# Uncomment and adapt if code is to be included in the image
# COPY src /code/src
......@@ -20,3 +21,20 @@ RUN conda env update -q -f /tmp/environment.yml && \
/opt/conda/bin/pip install -r /tmp/requirements.txt && \
conda clean -y --all && \
conda env export -n "root"
apt-get update \
&& apt-get install -y \
gdal-bin \
python-numpy \
python \
python-gdal \
ipython \
python-pip \
python-future \
python-requests \
apt-get autoremove && apt-get clean \
#RUN pip install pyModis
%% Cell type:code id: tags:
``` python
!pip install pymodis
```
%%%% Output: stream
Collecting pymodis
Downloading pyModis-2.0.9.tar.gz (2.6 MB)
 |████████████████████████████████| 2.6 MB 2.8 MB/s eta 0:00:01
[?25hCollecting GDAL
Downloading GDAL-3.0.4.tar.gz (577 kB)
 |████████████████████████████████| 577 kB 13.7 MB/s eta 0:00:01
 ERROR: Command errored out with exit status 1:
command: /opt/conda/bin/python3.7 -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-wvrc1apq/GDAL/setup.py'"'"'; __file__='"'"'/tmp/pip-install-wvrc1apq/GDAL/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-install-wvrc1apq/GDAL/pip-egg-info
cwd: /tmp/pip-install-wvrc1apq/GDAL/
Complete output (73 lines):
WARNING: numpy not available! Array support will not be enabled
running egg_info
creating /tmp/pip-install-wvrc1apq/GDAL/pip-egg-info/GDAL.egg-info
writing /tmp/pip-install-wvrc1apq/GDAL/pip-egg-info/GDAL.egg-info/PKG-INFO
writing dependency_links to /tmp/pip-install-wvrc1apq/GDAL/pip-egg-info/GDAL.egg-info/dependency_links.txt
writing top-level names to /tmp/pip-install-wvrc1apq/GDAL/pip-egg-info/GDAL.egg-info/top_level.txt
writing manifest file '/tmp/pip-install-wvrc1apq/GDAL/pip-egg-info/GDAL.egg-info/SOURCES.txt'
Traceback (most recent call last):
File "/tmp/pip-install-wvrc1apq/GDAL/setup.py", line 151, in fetch_config
p = subprocess.Popen([command, args], stdout=subprocess.PIPE)
File "/opt/conda/lib/python3.7/subprocess.py", line 800, in __init__
restore_signals, start_new_session)
File "/opt/conda/lib/python3.7/subprocess.py", line 1551, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '../../apps/gdal-config': '../../apps/gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/tmp/pip-install-wvrc1apq/GDAL/setup.py", line 249, in get_gdal_config
return fetch_config(option, gdal_config=self.gdal_config)
File "/tmp/pip-install-wvrc1apq/GDAL/setup.py", line 154, in fetch_config
raise gdal_config_error(e)
__main__.gdal_config_error: [Errno 2] No such file or directory: '../../apps/gdal-config': '../../apps/gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/tmp/pip-install-wvrc1apq/GDAL/setup.py", line 151, in fetch_config
p = subprocess.Popen([command, args], stdout=subprocess.PIPE)
File "/opt/conda/lib/python3.7/subprocess.py", line 800, in __init__
restore_signals, start_new_session)
File "/opt/conda/lib/python3.7/subprocess.py", line 1551, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'gdal-config': 'gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/tmp/pip-install-wvrc1apq/GDAL/setup.py", line 450, in <module>
setup(**setup_kwargs)
File "/opt/conda/lib/python3.7/site-packages/setuptools/__init__.py", line 144, in setup
return distutils.core.setup(**attrs)
File "/opt/conda/lib/python3.7/distutils/core.py", line 148, in setup
dist.run_commands()
File "/opt/conda/lib/python3.7/distutils/dist.py", line 966, in run_commands
self.run_command(cmd)
File "/opt/conda/lib/python3.7/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 297, in run
self.find_sources()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 304, in find_sources
mm.run()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 535, in run
self.add_defaults()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 571, in add_defaults
sdist.add_defaults(self)
File "/opt/conda/lib/python3.7/distutils/command/sdist.py", line 228, in add_defaults
self._add_defaults_ext()
File "/opt/conda/lib/python3.7/distutils/command/sdist.py", line 311, in _add_defaults_ext
build_ext = self.get_finalized_command('build_ext')
File "/opt/conda/lib/python3.7/distutils/cmd.py", line 299, in get_finalized_command
cmd_obj.ensure_finalized()
File "/opt/conda/lib/python3.7/distutils/cmd.py", line 107, in ensure_finalized
self.finalize_options()
File "/tmp/pip-install-wvrc1apq/GDAL/setup.py", line 311, in finalize_options
self.gdaldir = self.get_gdal_config('prefix')
File "/tmp/pip-install-wvrc1apq/GDAL/setup.py", line 255, in get_gdal_config
return fetch_config(option)
File "/tmp/pip-install-wvrc1apq/GDAL/setup.py", line 154, in fetch_config
raise gdal_config_error(e)
__main__.gdal_config_error: [Errno 2] No such file or directory: 'gdal-config': 'gdal-config'
----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
[?25h
%% Cell type:code id: tags:
``` python
pip install -r requirements.txt
```
%%%% Output: stream
Collecting pandas==0.25.3
Downloading pandas-0.25.3-cp37-cp37m-manylinux1_x86_64.whl (10.4 MB)
 |████████████████████████████████| 10.4 MB 3.4 MB/s eta 0:00:01 |█████████████▊ | 4.5 MB 3.4 MB/s eta 0:00:02
[?25hCollecting seaborn==0.9.0
Downloading seaborn-0.9.0-py3-none-any.whl (208 kB)
 |████████████████████████████████| 208 kB 33.1 MB/s eta 0:00:01
[?25hCollecting pymodis
Using cached pyModis-2.0.9.tar.gz (2.6 MB)
Requirement already satisfied: python-dateutil>=2.6.1 in /opt/conda/lib/python3.7/site-packages (from pandas==0.25.3->-r requirements.txt (line 1)) (2.8.1)
Collecting pytz>=2017.2
Downloading pytz-2019.3-py2.py3-none-any.whl (509 kB)
 |████████████████████████████████| 509 kB 38.7 MB/s eta 0:00:01
[?25hCollecting numpy>=1.13.3
Downloading numpy-1.18.2-cp37-cp37m-manylinux1_x86_64.whl (20.2 MB)
 |████████████████████████████████| 20.2 MB 27.8 MB/s eta 0:00:01
[?25hCollecting scipy>=0.14.0
Downloading scipy-1.4.1-cp37-cp37m-manylinux1_x86_64.whl (26.1 MB)
 |████████████████████████████████| 26.1 MB 35.6 MB/s eta 0:00:01
[?25hCollecting matplotlib>=1.4.3
Downloading matplotlib-3.2.1-cp37-cp37m-manylinux1_x86_64.whl (12.4 MB)
 |████████████████████████████████| 12.4 MB 19.5 MB/s eta 0:00:01 |████████████████▎ | 6.3 MB 19.5 MB/s eta 0:00:01
[?25hCollecting GDAL
Using cached GDAL-3.0.4.tar.gz (577 kB)
 ERROR: Command errored out with exit status 1:
command: /opt/conda/bin/python -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-ldn67hct/GDAL/setup.py'"'"'; __file__='"'"'/tmp/pip-install-ldn67hct/GDAL/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-install-ldn67hct/GDAL/pip-egg-info
cwd: /tmp/pip-install-ldn67hct/GDAL/
Complete output (73 lines):
WARNING: numpy not available! Array support will not be enabled
running egg_info
creating /tmp/pip-install-ldn67hct/GDAL/pip-egg-info/GDAL.egg-info
writing /tmp/pip-install-ldn67hct/GDAL/pip-egg-info/GDAL.egg-info/PKG-INFO
writing dependency_links to /tmp/pip-install-ldn67hct/GDAL/pip-egg-info/GDAL.egg-info/dependency_links.txt
writing top-level names to /tmp/pip-install-ldn67hct/GDAL/pip-egg-info/GDAL.egg-info/top_level.txt
writing manifest file '/tmp/pip-install-ldn67hct/GDAL/pip-egg-info/GDAL.egg-info/SOURCES.txt'
Traceback (most recent call last):
File "/tmp/pip-install-ldn67hct/GDAL/setup.py", line 151, in fetch_config
p = subprocess.Popen([command, args], stdout=subprocess.PIPE)
File "/opt/conda/lib/python3.7/subprocess.py", line 800, in __init__
restore_signals, start_new_session)
File "/opt/conda/lib/python3.7/subprocess.py", line 1551, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '../../apps/gdal-config': '../../apps/gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/tmp/pip-install-ldn67hct/GDAL/setup.py", line 249, in get_gdal_config
return fetch_config(option, gdal_config=self.gdal_config)
File "/tmp/pip-install-ldn67hct/GDAL/setup.py", line 154, in fetch_config
raise gdal_config_error(e)
__main__.gdal_config_error: [Errno 2] No such file or directory: '../../apps/gdal-config': '../../apps/gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/tmp/pip-install-ldn67hct/GDAL/setup.py", line 151, in fetch_config
p = subprocess.Popen([command, args], stdout=subprocess.PIPE)
File "/opt/conda/lib/python3.7/subprocess.py", line 800, in __init__
restore_signals, start_new_session)
File "/opt/conda/lib/python3.7/subprocess.py", line 1551, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'gdal-config': 'gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/tmp/pip-install-ldn67hct/GDAL/setup.py", line 450, in <module>
setup(**setup_kwargs)
File "/opt/conda/lib/python3.7/site-packages/setuptools/__init__.py", line 144, in setup
return distutils.core.setup(**attrs)
File "/opt/conda/lib/python3.7/distutils/core.py", line 148, in setup
dist.run_commands()
File "/opt/conda/lib/python3.7/distutils/dist.py", line 966, in run_commands
self.run_command(cmd)
File "/opt/conda/lib/python3.7/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 297, in run
self.find_sources()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 304, in find_sources
mm.run()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 535, in run
self.add_defaults()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 571, in add_defaults
sdist.add_defaults(self)
File "/opt/conda/lib/python3.7/distutils/command/sdist.py", line 228, in add_defaults
self._add_defaults_ext()
File "/opt/conda/lib/python3.7/distutils/command/sdist.py", line 311, in _add_defaults_ext
build_ext = self.get_finalized_command('build_ext')
File "/opt/conda/lib/python3.7/distutils/cmd.py", line 299, in get_finalized_command
cmd_obj.ensure_finalized()
File "/opt/conda/lib/python3.7/distutils/cmd.py", line 107, in ensure_finalized
self.finalize_options()
File "/tmp/pip-install-ldn67hct/GDAL/setup.py", line 311, in finalize_options
self.gdaldir = self.get_gdal_config('prefix')
File "/tmp/pip-install-ldn67hct/GDAL/setup.py", line 255, in get_gdal_config
return fetch_config(option)
File "/tmp/pip-install-ldn67hct/GDAL/setup.py", line 154, in fetch_config
raise gdal_config_error(e)
__main__.gdal_config_error: [Errno 2] No such file or directory: 'gdal-config': 'gdal-config'
----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
Note: you may need to restart the kernel to use updated packages.
%% Cell type:code id: tags:
``` python
pip install -r requirements.txt
```
%%%% Output: stream
ERROR: Invalid requirement: 'numpy GDAL' (from line 4 of requirements.txt)
Note: you may need to restart the kernel to use updated packages.
%% Cell type:code id: tags:
``` python
pip install -r requirements.txt
```
%% Cell type:code id: tags:
``` python
pip install -r requirements.txt
```
%%%% Output: stream
Collecting pandas==0.25.3
Using cached pandas-0.25.3-cp37-cp37m-manylinux1_x86_64.whl (10.4 MB)
Collecting seaborn==0.9.0
Using cached seaborn-0.9.0-py3-none-any.whl (208 kB)
Collecting numpy
Using cached numpy-1.18.2-cp37-cp37m-manylinux1_x86_64.whl (20.2 MB)
Collecting GDAL
Using cached GDAL-3.0.4.tar.gz (577 kB)
 ERROR: Command errored out with exit status 1:
command: /opt/conda/bin/python -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-2gzq_y12/GDAL/setup.py'"'"'; __file__='"'"'/tmp/pip-install-2gzq_y12/GDAL/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-install-2gzq_y12/GDAL/pip-egg-info
cwd: /tmp/pip-install-2gzq_y12/GDAL/
Complete output (73 lines):
WARNING: numpy not available! Array support will not be enabled
running egg_info
creating /tmp/pip-install-2gzq_y12/GDAL/pip-egg-info/GDAL.egg-info
writing /tmp/pip-install-2gzq_y12/GDAL/pip-egg-info/GDAL.egg-info/PKG-INFO
writing dependency_links to /tmp/pip-install-2gzq_y12/GDAL/pip-egg-info/GDAL.egg-info/dependency_links.txt
writing top-level names to /tmp/pip-install-2gzq_y12/GDAL/pip-egg-info/GDAL.egg-info/top_level.txt
writing manifest file '/tmp/pip-install-2gzq_y12/GDAL/pip-egg-info/GDAL.egg-info/SOURCES.txt'
Traceback (most recent call last):
File "/tmp/pip-install-2gzq_y12/GDAL/setup.py", line 151, in fetch_config
p = subprocess.Popen([command, args], stdout=subprocess.PIPE)
File "/opt/conda/lib/python3.7/subprocess.py", line 800, in __init__
restore_signals, start_new_session)
File "/opt/conda/lib/python3.7/subprocess.py", line 1551, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '../../apps/gdal-config': '../../apps/gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/tmp/pip-install-2gzq_y12/GDAL/setup.py", line 249, in get_gdal_config
return fetch_config(option, gdal_config=self.gdal_config)
File "/tmp/pip-install-2gzq_y12/GDAL/setup.py", line 154, in fetch_config
raise gdal_config_error(e)
__main__.gdal_config_error: [Errno 2] No such file or directory: '../../apps/gdal-config': '../../apps/gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/tmp/pip-install-2gzq_y12/GDAL/setup.py", line 151, in fetch_config
p = subprocess.Popen([command, args], stdout=subprocess.PIPE)
File "/opt/conda/lib/python3.7/subprocess.py", line 800, in __init__
restore_signals, start_new_session)
File "/opt/conda/lib/python3.7/subprocess.py", line 1551, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'gdal-config': 'gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/tmp/pip-install-2gzq_y12/GDAL/setup.py", line 450, in <module>
setup(**setup_kwargs)
File "/opt/conda/lib/python3.7/site-packages/setuptools/__init__.py", line 144, in setup
return distutils.core.setup(**attrs)
File "/opt/conda/lib/python3.7/distutils/core.py", line 148, in setup
dist.run_commands()
File "/opt/conda/lib/python3.7/distutils/dist.py", line 966, in run_commands
self.run_command(cmd)
File "/opt/conda/lib/python3.7/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 297, in run
self.find_sources()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 304, in find_sources
mm.run()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 535, in run
self.add_defaults()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 571, in add_defaults
sdist.add_defaults(self)
File "/opt/conda/lib/python3.7/distutils/command/sdist.py", line 228, in add_defaults
self._add_defaults_ext()
File "/opt/conda/lib/python3.7/distutils/command/sdist.py", line 311, in _add_defaults_ext
build_ext = self.get_finalized_command('build_ext')
File "/opt/conda/lib/python3.7/distutils/cmd.py", line 299, in get_finalized_command
cmd_obj.ensure_finalized()
File "/opt/conda/lib/python3.7/distutils/cmd.py", line 107, in ensure_finalized
self.finalize_options()
File "/tmp/pip-install-2gzq_y12/GDAL/setup.py", line 311, in finalize_options
self.gdaldir = self.get_gdal_config('prefix')
File "/tmp/pip-install-2gzq_y12/GDAL/setup.py", line 255, in get_gdal_config
return fetch_config(option)
File "/tmp/pip-install-2gzq_y12/GDAL/setup.py", line 154, in fetch_config
raise gdal_config_error(e)
__main__.gdal_config_error: [Errno 2] No such file or directory: 'gdal-config': 'gdal-config'
----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
Note: you may need to restart the kernel to use updated packages.
%% Cell type:code id: tags:
``` python
pip install numpy
```
%%%% Output: stream
Collecting numpy
Using cached numpy-1.18.2-cp37-cp37m-manylinux1_x86_64.whl (20.2 MB)
Installing collected packages: numpy
Successfully installed numpy-1.18.2
Note: you may need to restart the kernel to use updated packages.
%% Cell type:code id: tags:
``` python
```
%% Cell type:code id: tags:
``` python
pip install -r requirements.txt
```
%%%% Output: stream
Collecting pandas==0.25.3
Using cached pandas-0.25.3-cp37-cp37m-manylinux1_x86_64.whl (10.4 MB)
Collecting seaborn==0.9.0
Using cached seaborn-0.9.0-py3-none-any.whl (208 kB)
Requirement already satisfied: numpy in /opt/conda/lib/python3.7/site-packages (from -r requirements.txt (line 3)) (1.18.2)
Collecting GDAL
Using cached GDAL-3.0.4.tar.gz (577 kB)
 ERROR: Command errored out with exit status 1:
command: /opt/conda/bin/python -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-d5l530xb/GDAL/setup.py'"'"'; __file__='"'"'/tmp/pip-install-d5l530xb/GDAL/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-install-d5l530xb/GDAL/pip-egg-info
cwd: /tmp/pip-install-d5l530xb/GDAL/
Complete output (72 lines):
running egg_info
creating /tmp/pip-install-d5l530xb/GDAL/pip-egg-info/GDAL.egg-info
writing /tmp/pip-install-d5l530xb/GDAL/pip-egg-info/GDAL.egg-info/PKG-INFO
writing dependency_links to /tmp/pip-install-d5l530xb/GDAL/pip-egg-info/GDAL.egg-info/dependency_links.txt
writing top-level names to /tmp/pip-install-d5l530xb/GDAL/pip-egg-info/GDAL.egg-info/top_level.txt
writing manifest file '/tmp/pip-install-d5l530xb/GDAL/pip-egg-info/GDAL.egg-info/SOURCES.txt'
Traceback (most recent call last):
File "/tmp/pip-install-d5l530xb/GDAL/setup.py", line 151, in fetch_config
p = subprocess.Popen([command, args], stdout=subprocess.PIPE)
File "/opt/conda/lib/python3.7/subprocess.py", line 800, in __init__
restore_signals, start_new_session)
File "/opt/conda/lib/python3.7/subprocess.py", line 1551, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '../../apps/gdal-config': '../../apps/gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/tmp/pip-install-d5l530xb/GDAL/setup.py", line 249, in get_gdal_config
return fetch_config(option, gdal_config=self.gdal_config)
File "/tmp/pip-install-d5l530xb/GDAL/setup.py", line 154, in fetch_config
raise gdal_config_error(e)
__main__.gdal_config_error: [Errno 2] No such file or directory: '../../apps/gdal-config': '../../apps/gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/tmp/pip-install-d5l530xb/GDAL/setup.py", line 151, in fetch_config
p = subprocess.Popen([command, args], stdout=subprocess.PIPE)
File "/opt/conda/lib/python3.7/subprocess.py", line 800, in __init__
restore_signals, start_new_session)
File "/opt/conda/lib/python3.7/subprocess.py", line 1551, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'gdal-config': 'gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/tmp/pip-install-d5l530xb/GDAL/setup.py", line 450, in <module>
setup(**setup_kwargs)
File "/opt/conda/lib/python3.7/site-packages/setuptools/__init__.py", line 144, in setup
return distutils.core.setup(**attrs)
File "/opt/conda/lib/python3.7/distutils/core.py", line 148, in setup
dist.run_commands()
File "/opt/conda/lib/python3.7/distutils/dist.py", line 966, in run_commands
self.run_command(cmd)
File "/opt/conda/lib/python3.7/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 297, in run
self.find_sources()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 304, in find_sources
mm.run()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 535, in run
self.add_defaults()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 571, in add_defaults
sdist.add_defaults(self)
File "/opt/conda/lib/python3.7/distutils/command/sdist.py", line 228, in add_defaults
self._add_defaults_ext()
File "/opt/conda/lib/python3.7/distutils/command/sdist.py", line 311, in _add_defaults_ext
build_ext = self.get_finalized_command('build_ext')
File "/opt/conda/lib/python3.7/distutils/cmd.py", line 299, in get_finalized_command
cmd_obj.ensure_finalized()
File "/opt/conda/lib/python3.7/distutils/cmd.py", line 107, in ensure_finalized
self.finalize_options()
File "/tmp/pip-install-d5l530xb/GDAL/setup.py", line 311, in finalize_options
self.gdaldir = self.get_gdal_config('prefix')
File "/tmp/pip-install-d5l530xb/GDAL/setup.py", line 255, in get_gdal_config
return fetch_config(option)
File "/tmp/pip-install-d5l530xb/GDAL/setup.py", line 154, in fetch_config
raise gdal_config_error(e)
__main__.gdal_config_error: [Errno 2] No such file or directory: 'gdal-config': 'gdal-config'
----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
Note: you may need to restart the kernel to use updated packages.
%% Cell type:code id: tags:
``` python
pip install numpy
```
%%%% Output: stream
Requirement already satisfied: numpy in /opt/conda/lib/python3.7/site-packages (1.18.2)
Note: you may need to restart the kernel to use updated packages.
%% Cell type:code id: tags:
``` python
pip install GDAL
```
%%%% Output: stream
Collecting GDAL
Using cached GDAL-3.0.4.tar.gz (577 kB)
 ERROR: Command errored out with exit status 1:
command: /opt/conda/bin/python -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-co5ghtct/GDAL/setup.py'"'"'; __file__='"'"'/tmp/pip-install-co5ghtct/GDAL/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-install-co5ghtct/GDAL/pip-egg-info
cwd: /tmp/pip-install-co5ghtct/GDAL/
Complete output (72 lines):
running egg_info
creating /tmp/pip-install-co5ghtct/GDAL/pip-egg-info/GDAL.egg-info
writing /tmp/pip-install-co5ghtct/GDAL/pip-egg-info/GDAL.egg-info/PKG-INFO
writing dependency_links to /tmp/pip-install-co5ghtct/GDAL/pip-egg-info/GDAL.egg-info/dependency_links.txt
writing top-level names to /tmp/pip-install-co5ghtct/GDAL/pip-egg-info/GDAL.egg-info/top_level.txt
writing manifest file '/tmp/pip-install-co5ghtct/GDAL/pip-egg-info/GDAL.egg-info/SOURCES.txt'
Traceback (most recent call last):
File "/tmp/pip-install-co5ghtct/GDAL/setup.py", line 151, in fetch_config
p = subprocess.Popen([command, args], stdout=subprocess.PIPE)
File "/opt/conda/lib/python3.7/subprocess.py", line 800, in __init__
restore_signals, start_new_session)
File "/opt/conda/lib/python3.7/subprocess.py", line 1551, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '../../apps/gdal-config': '../../apps/gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/tmp/pip-install-co5ghtct/GDAL/setup.py", line 249, in get_gdal_config
return fetch_config(option, gdal_config=self.gdal_config)
File "/tmp/pip-install-co5ghtct/GDAL/setup.py", line 154, in fetch_config
raise gdal_config_error(e)
__main__.gdal_config_error: [Errno 2] No such file or directory: '../../apps/gdal-config': '../../apps/gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/tmp/pip-install-co5ghtct/GDAL/setup.py", line 151, in fetch_config
p = subprocess.Popen([command, args], stdout=subprocess.PIPE)
File "/opt/conda/lib/python3.7/subprocess.py", line 800, in __init__
restore_signals, start_new_session)
File "/opt/conda/lib/python3.7/subprocess.py", line 1551, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'gdal-config': 'gdal-config'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/tmp/pip-install-co5ghtct/GDAL/setup.py", line 450, in <module>
setup(**setup_kwargs)
File "/opt/conda/lib/python3.7/site-packages/setuptools/__init__.py", line 144, in setup
return distutils.core.setup(**attrs)
File "/opt/conda/lib/python3.7/distutils/core.py", line 148, in setup
dist.run_commands()
File "/opt/conda/lib/python3.7/distutils/dist.py", line 966, in run_commands
self.run_command(cmd)
File "/opt/conda/lib/python3.7/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 297, in run
self.find_sources()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 304, in find_sources
mm.run()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 535, in run
self.add_defaults()
File "/opt/conda/lib/python3.7/site-packages/setuptools/command/egg_info.py", line 571, in add_defaults
sdist.add_defaults(self)
File "/opt/conda/lib/python3.7/distutils/command/sdist.py", line 228, in add_defaults
self._add_defaults_ext()
File "/opt/conda/lib/python3.7/distutils/command/sdist.py", line 311, in _add_defaults_ext
build_ext = self.get_finalized_command('build_ext')
File "/opt/conda/lib/python3.7/distutils/cmd.py", line 299, in get_finalized_command
cmd_obj.ensure_finalized()
File "/opt/conda/lib/python3.7/distutils/cmd.py", line 107, in ensure_finalized
self.finalize_options()
File "/tmp/pip-install-co5ghtct/GDAL/setup.py", line 311, in finalize_options
self.gdaldir = self.get_gdal_config('prefix')
File "/tmp/pip-install-co5ghtct/GDAL/setup.py", line 255, in get_gdal_config
return fetch_config(option)
File "/tmp/pip-install-co5ghtct/GDAL/setup.py", line 154, in fetch_config
raise gdal_config_error(e)
__main__.gdal_config_error: [Errno 2] No such file or directory: 'gdal-config': 'gdal-config'
----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
Note: you may need to restart the kernel to use updated packages.
%% Cell type:code id: tags:
``` python
docker pull neteler/pymodis
```
%%%% Output: error
File "<ipython-input-4-206315c28792>", line 1
docker pull neteler/pymodis
^
SyntaxError: invalid syntax
%% Cell type:code id: tags:
``` python
```
pandas==0.25.3
seaborn==0.9.0
numpy
GDAL
pymodis
\ No newline at end of file
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment